Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class CGIServlet.NameValuePair

    java.lang.Object
      org.apache.catalina.servlets.CGIServlet.NameValuePair

Enclosing class:
  CGIServlet

protected class CGIServlet.NameValuePair
extends java.lang.Object

This is a simple class for storing name-value pairs. TODO: It might be worth moving this to the utils package there is a wider requirement for this functionality.

Method Summary
`protected java.lang.String` | `getName()`
`protected java.lang.String` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    protected java.lang.String getName()

### getValue

    protected java.lang.String getValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.